<?php
require 'vendor/autoload.php';
require_once './sendgrid-php.php';

// Check if form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {

    // Process form data
    $name = $_POST['name'];
    $email = $_POST['email'];
    $phone = $_POST['phone'];
    
    // Process CV upload
    $allowedFileTypes = array('pdf', 'doc', 'docx', 'png', 'jpg', 'jpeg', 'gif', 'csv', 'xlsx');
    $cvFileName = $_FILES['cv']['name'];
    $cvTempPath = $_FILES['cv']['tmp_name'];
    $cvFileExt = strtolower(pathinfo($cvFileName, PATHINFO_EXTENSION));

    // Check if the file type is allowed
    if (in_array($cvFileExt, $allowedFileTypes)) {
        // Move CV file to desired directory
        $cvUploadDir = 'uploads/'; // Change this to your desired directory
        $cvUploadPath = $cvUploadDir . $cvFileName;
        move_uploaded_file($cvTempPath, $cvUploadPath);
    } else {
        // Handle invalid file type
        echo "Invalid file type. Allowed file types are: " . implode(', ', $allowedFileTypes);
        exit;
    }

    // Send email using SendGrid
    $email = new \SendGrid\Mail\Mail();
    $email->setFrom("faraz@mundiatech.com", "Faraz Khan");
    $email->setSubject("Sending with Twilio SendGrid is Fun");
    $email->addTo("hamzashan123@gmail.com", "Example User");
    
    // Email content
    $message = "Name: $name\n";
    $message .= "Email: " . $_POST['email'] . "\n";
    $message .= "Phone: $phone\n";
    // Add more fields as needed
    
    $email->addContent("text/plain", $message);
    $email->addContent("text/html", "<strong>$message</strong>");
    
    // Attach CV file
    $cvContent = file_get_contents($cvUploadPath);
    $attachment = new \SendGrid\Mail\Attachment();
    $attachment->setContent(base64_encode($cvContent));
    $attachment->setType('application/pdf'); // Adjust MIME type if necessary
    $attachment->setFilename($cvFileName);
    $attachment->setDisposition('attachment');
    $email->addAttachment($attachment);
    
    // Send email
    // $sendgrid = new \SendGrid('YOUR_SENDGRID_API_KEY');
    $sendgrid = new \SendGrid('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');
    try {
        $response = $sendgrid->send($email);
        print $response->statusCode() . "\n";
        print_r($response->headers());
        print $response->body() . "\n";
    } catch (Exception $e) {
        echo 'Caught exception: '. $e->getMessage() ."\n";
    }
}
?>
